# oops-repository is Copyright 2011 Canonical Ltd.
#
# Canonical Ltd ("Canonical") distributes the oops-repository source code under
# the GNU Affero General Public License, version 3 ("AGPLv3"). See the file
# LICENSE in the source tree for more information.

"""The schema for oopsrepository."""

from pycassa.system_manager import (
    LONG_TYPE,
    SystemManager,
    TIME_UUID_TYPE,
    UTF8_TYPE,
    )

import config
from oopsrepository.cassandra import workaround_1779

def create(config):
    """Create a schema.

    See DESIGN.txt for the schema description.

    :param config: The config (per oopsrepository.config.get_config) for
        oopsrepository.
    """
    keyspace = config['keyspace']
    mgr = SystemManager()
    try:
        workaround_1779(mgr.create_column_family, keyspace, 'OOPS',
            comparator_type=UTF8_TYPE)
        workaround_1779(mgr.create_column_family, keyspace, 'DayOOPS',
            comparator_type=TIME_UUID_TYPE)
    finally:
        mgr.close()


if __name__ == '__main__':
    create(config.get_config())
