# oops-repository is Copyright 2011 Canonical Ltd.
#
# Canonical Ltd ("Canonical") distributes the oops-repository source code under
# the GNU Affero General Public License, version 3 ("AGPLv3"). See the file
# LICENSE in the source tree for more information.

"""Various oopsrepository specific matchers."""

import json
import time
import uuid

import pycassa
from pycassa.cassandra.Cassandra import NotFoundException
from testtools.matchers import Matcher, Mismatch


class HasOOPSSchema(Matcher):
    """Matches if a keyspace has a usable OOPS schema.

    This will write to the keyspace.
    """

    def match(self, keyspace):
        pool = pycassa.connect(keyspace)
        try:
            cf = pycassa.ColumnFamily(pool, 'OOPS')
            cf.insert('key',
                {"date":json.dumps(time.time()), "URL":'a bit boring'})
            cf = pycassa.ColumnFamily(pool, 'DayOOPS')
            cf.insert('20100212', {uuid.uuid1(): 'key'})
        except NotFoundException as e:
            return Mismatch(e.why)
